Get a project's share link
Returns the share link and counts, or null when the project has no share link. Request: GET /v1/template-projects/{projectId}/share-link. Scope: templates:read.
GET
Returns the share link and counts, or null when the project has no share link.
apiKeyheader
x-api-key<token>projectId*stringMatch
^tproj_[0-9a-hjkmnp-tv-z]{16,24}$Success
application/json- response
slug*stringMatch
^[a-z0-9-]{3,60}$url*stringcanonicalPath*stringviews*integerRange
-9007199254740991 <= value <= 9007199254740991opens*integerRange
-9007199254740991 <= value <= 9007199254740991updatedAt*stringimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.templateShareLinks.get({
"projectId": "example"
});Example Response
{
"slug": "string",
"url": "string",
"canonicalPath": "string",
"views": -9007199254740991,
"opens": -9007199254740991,
"updatedAt": "string"
}